function corewar:game/respawn/run
function corewar:game/middle/run

# Protected game area
setblock 0 47 -59 redstone_block
setblock 0 47 59 redstone_block
setblock -19 47 -65 redstone_block
setblock 17 47 -65 redstone_block
setblock 19 47 65 redstone_block
setblock -17 47 65 redstone_block
function corewar:game/arena-limit/top-limit
function corewar:game/arena-limit/bottom-limit

# Core releated runs
function corewar:game/core/alphacore
function corewar:game/core/bravocore

# Points releated run
function corewar:game/points/run

# PVP 1.8 system
execute if score PVP_Mode config matches 2 run function corewar:game/pvp1.8.run
function corewar:game/nerfaxe

# Trigger the end of the game
execute if score AlphaCore disp_GameInfo matches 0 if score BravoCore disp_GameInfo matches 1.. run function corewar:game/bravo.win
execute if score BravoCore disp_GameInfo matches 0 if score AlphaCore disp_GameInfo matches 1.. run function corewar:game/alpha.win
execute if score AlphaCore disp_GameInfo matches 0 if score BravoCore disp_GameInfo matches 0 run function corewar:game/draw

# Stop if any team is empty
execute unless entity @e[tag=OperatingSystem,tag=debug] run execute unless entity @a[team=alpha] run function corewar:game/team.isempty
execute unless entity @e[tag=OperatingSystem,tag=debug] run execute unless entity @a[team=bravo] run function corewar:game/team.isempty